﻿using System;
using System.ServiceModel;
using System.ServiceModel.Web;

namespace RestfulClient
{
    [ServiceContract(Name = "UniteRestServices")]
    public interface IUniteRestServices
    {
        [OperationContract]
        [WebGet(UriTemplate = Routing.GetNumPresenters, BodyStyle = WebMessageBodyStyle.Bare)]
        int getNumPresenters();
        [OperationContract]
        int getNumUsers();
        [OperationContract]
        int getCurrentPin();
    }

}